aboutsummaryrefslogtreecommitdiff
path: root/straper/db/public/boot/etc-kernel/postinst.d/unattended-upgrades
diff options
context:
space:
mode:
Diffstat (limited to 'straper/db/public/boot/etc-kernel/postinst.d/unattended-upgrades')
-rwxr-xr-xstraper/db/public/boot/etc-kernel/postinst.d/unattended-upgrades13
1 files changed, 13 insertions, 0 deletions
diff --git a/straper/db/public/boot/etc-kernel/postinst.d/unattended-upgrades b/straper/db/public/boot/etc-kernel/postinst.d/unattended-upgrades
new file mode 100755
index 0000000..3f54dea
--- /dev/null
+++ b/straper/db/public/boot/etc-kernel/postinst.d/unattended-upgrades
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+case "$DPKG_MAINTSCRIPT_PACKAGE::$DPKG_MAINTSCRIPT_NAME" in
+ linux-image-extra*::postrm)
+ exit 0;;
+esac
+
+if [ -d /var/run ]; then
+ touch /var/run/reboot-required
+ if ! grep -q "^$DPKG_MAINTSCRIPT_PACKAGE$" /var/run/reboot-required.pkgs 2> /dev/null ; then
+ echo "$DPKG_MAINTSCRIPT_PACKAGE" >> /var/run/reboot-required.pkgs
+ fi
+fi